Subject: bug#8492: 23.3; Time to use a different binding for completion?

From: Stefan Monnier <[email-masked]>
Date: Tue, 19 Apr 2011 09:46:13 -0300

>>>> Is it therefore time to admit defeat and find an alternative binding for
>>>> completion functions, even if it’s an extra binding rather than simply a
>>>> different one?
>>> TAB can do completion if you (setq tab-always-indent 'complete).
>> Thanks for the tip, I'll try that.
> The idea is nice, but there is perhaps a problem with the current
> implementation: There are many ways to complete in Emacs.

It's not the ultimate solution, no.  I'm not sure what "other choices"
you're thinking of, but I know that for some major modes, mixing
completion and indentation via (setq tab-always-indent 'complete) is not
really an option (e.g. Python where TAB cycles through various
indentation levels).

        Stefan